﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridCustomControl
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }
        public ObservableCollection<Column> Columns { get; set; }

        string[] names = "Andrew;Jen;Eric;Alex;Steve;Pamela;Mike;Valerie".Split(';');

        public string TextForTextBox { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = names[i],
                    Number = r.Next(1000),
                    Date = DateTime.Today.AddDays(i)
                });
            }

            TextForTextBox = "This is some text from the ViewModel DataContext!!";

            TextColumn col1 = new TextColumn() { Key = "ID" };
            TextColumn col2 = new TextColumn() { Key = "Name" };
            TextColumn col3 = new TextColumn() { Key = "Number" };

            Columns = new ObservableCollection<Column>();

            Columns.Add(col1);
            Columns.Add(col2);
            Columns.Add(col3);
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Number { get; set; }
        public DateTime Date { get; set; }
    }
}
